### Constructor

# GcrUi CollectionModel new

#### Declaration [src]

    GcrCollectionModel*
    gcr_collection_model_new (
      GcrCollection* collection,
      GcrCollectionModelMode mode,
      ...
    )

#### Description [src]

Create a new `GcrCollectionModel`. The variable argument list should contain pairs of property names, and `GType` values. The variable argument list should be terminated with `NULL`.

This method is not directly available to language bindings.

#### Parameters

`collection`

  Type: `GcrCollection`

  The collection to represent.

  The data is owned by the caller of the function.

`mode`

  Type: `GcrCollectionModelMode`

  Whether list or tree mode.

`...`

  Type: ``

  The column names and types.

#### Return value

Type: `GcrCollectionModel`

A newly allocated model, which should be released with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.